/* ========================================
 *  C5RawChannel - C5RawChannel.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __C5RawChannel_C5RawChannel_H
#define __C5RawChannel_C5RawChannel_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::C5RawChannel {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class C5RawChannel final : public SfxCoreExtensionV1
{
public:
    C5RawChannel();
    ~C5RawChannel();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff
	double lastFXChannelL;
	double lastSampleChannelL;
	double lastFXChannelR;
	double lastSampleChannelR;
    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
